package com.qmth.boot.core.security.service;

/**
 * 加解密等安全服务接口
 */
public interface EncryptService {

    /**
     * 使用对称算法进行字符串加密
     *
     * @param text 明文
     * @return
     */
    String encrypt(String text);

    /**
     * 使用对称算法进行字符串解密
     *
     * @param text 密文
     * @return
     */
    String decrypt(String text);

    /**
     * 使用散列算法生成密文，通常用于密码等数据的不可逆加密保存
     *
     * @param text
     * @return
     */
    String hash(String text);
}
